<template>
	<div class="row">
		<app-quote
			class="quotes-container"
			v-for="(quote, i) in quotes"
			:key="i"
			:quote="quote"
			@click.native="deleteQuote(i)"
		>
			{{ quote }}
		</app-quote>
	</div>
</template>

<script>
	import Quote from './Quote.vue';
	
	export default {
		components: {
			'app-quote': Quote
		},
		props: {
			quotes: Array
		},
		data() {
			return {
				
			}
		},
		methods: {
			deleteQuote(i) {
				this.$emit('deleteQuote', i);
			}
		}
	}
</script>

<style scoped>
	.quotes-container {
		margin: 15px 0;
	}
</style>